<?php
/**
 * Customizer
 * 
 * @package WordPress
 * @subpackage banquet-wedding-hall
 * @since banquet-wedding-hall 1.0
 */

/**
 * Add postMessage support for site title and description for the Theme Customizer.
 *
 * @param WP_Customize_Manager $wp_customize Theme Customizer object.
 */
function banquet_wedding_hall_customize_register( $wp_customize ) {
	$wp_customize->add_section( new Banquet_Wedding_Hall_Upsell_Section($wp_customize,'upsell_section',array(
		'title'            => __( 'Banquet Wedding Hall Pro', 'banquet-wedding-hall' ),
		'button_text'      => __( 'Upgrade Pro', 'banquet-wedding-hall' ),
		'url'              => 'https://www.wpradiant.net/products/banquet-hall-wordpress-theme',
		'priority'         => 0,
	)));
}
add_action( 'customize_register', 'banquet_wedding_hall_customize_register' );

/**
 * Enqueue script for custom customize control.
 */
function banquet_wedding_hall_custom_control_scripts() {
	wp_enqueue_script( 'banquet-wedding-hall-custom-controls-js', get_template_directory_uri() . '/assets/js/custom-controls.js', array( 'jquery', 'jquery-ui-core', 'jquery-ui-sortable' ), '1.0', true );
	wp_enqueue_style( 'banquet-wedding-hall-customize-controls', trailingslashit( get_template_directory_uri() ) . '/assets/css/customize-controls.css' );
}
add_action( 'customize_controls_enqueue_scripts', 'banquet_wedding_hall_custom_control_scripts' );